%define module		qc-usb
Name:			dkms-%{module}
Version:		0.6.6
Release:		%mkrel 6

Summary:	DKMS-ready driver for the old Quickcam Express webcams
License:	GPL
Group:		Development/Kernel
URL:		http://qce-ga.sourceforge.net/
Source:		http://downloads.sourceforge.net/qce-ga/%{module}-%{version}.tar.gz
Patch0:		qc-usb-0.6.6-kcompat-2.6.24.patch
Patch1:		qc-usb-0.6.6-koutput.patch
Patch2:		qc-usb-0.6.6-device-link.patch
Patch3:		qc-usb-0.6.6-mdv-fix-build-with-2.6.26.patch
Patch4:		qc-usb-0.6.6-mdv-fix-build-with-2.6.27.patch

BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

Requires(pre):	dkms
Requires(post):	dkms

Provides:	%{module}

%description
This package contains a DKMS-ready driver for the following webcams :
- Dexxa Webcam
- Labtec Webcam (old model)
- LegoCam
- Logitech QuickCam Express (old model)
- Logitech QuickCam Notebook (some models)
- Logitech QuickCam Web

Generally, any USB camera with a USB vendor ID of 0x46d and a USB product ID 
of 0x840, 0x850, or 0x870 (so, 0x46d:0x840, for example), should work.
You can check the USB IDs with Mandriva Control Center or using command-line 
utilities such as lsusb or "lspcidrake -v".

This driver was formerly known as "qce-ga".

The module has been renamed to mod_quickcam to allow module configuration 
within harddrake2.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}
cp -rf * %{buildroot}/usr/src/%{module}-%{version}-%{release}

cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{module}"
PACKAGE_VERSION="%{version}-%{release}"

MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"

BUILT_MODULE_NAME[0]="quickcam"
DEST_MODULE_NAME[0]="mod_quickcam"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/qc-usb/"
REMAKE_INITRD="no"
AUTOINSTALL=yes
EOF

%post
dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/src/%{module}-%{version}-%{release}



%changelog
* Mon Sep 08 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-6mdv2009.0
+ Revision: 282491
- Fix build with 2.6.27
- Renamed module to the previous name, mod_quickcam

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.6-5mdv2009.0
+ Revision: 266568
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-4mdv2009.0
+ Revision: 212644
- also apply the patch...
- Fix build with 2.6.26rc2+

* Fri Apr 25 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-3mdv2009.0
+ Revision: 197403
- more complete description

* Thu Apr 24 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-2mdv2009.0
+ Revision: 197321
- fix #39116

* Thu Apr 17 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-1mdv2009.0
+ Revision: 195251
- import dkms-qc-usb


* Wed Apr 16 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.6-1mdv2009.0
- First dkms package for qce-ga / qc-usb
- Thanks to Philippe Roubach and Pacho Ramos
